apiVersion: v1
kind: Service
metadata:
  labels:
    app: smart-power-ui
    component: $APP_SENVICE_NAME
  name: $APP_SENVICE_NAME
  namespace: $APP_NAME_SPACE
spec:
  ports:
    - name: http-80
      port: 80
      protocol: TCP
      targetPort: 80
  selector:
    app: smart-power-ui
    component: $APP_SENVICE_NAME
    tier: backend
  sessionAffinity: None
  type: NodePort
